"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

Object subclass:#LLVM
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-Internal'
!

!LLVM class methodsFor:'accessing'!

libraryName
    ^ '/usr/lib/llvm-3.7/lib/libLLVM-3.7.so'

    "Created: / 07-07-2015 / 00:45:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVM class methodsFor:'primitives'!

ABIAlignmentOfType: TD _: Ty 
    "@param TD: LLVMTargetDataRef
     @param Ty: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMABIAlignmentOfType" ( LLVMTargetData LLVMType ) >
    self primitiveFailed
!

ABISizeOfType: TD _: Ty 
    "@param TD: LLVMTargetDataRef
     @param Ty: LLVMTypeRef
     @return: long long unsigned int
    "

    <cdecl: long "LLVMABISizeOfType" ( LLVMTargetData LLVMType ) >
    self primitiveFailed
!

AddAlias: M _: Ty _: Aliasee _: Name 
    "@param M: LLVMModuleRef
     @param Ty: LLVMTypeRef
     @param Aliasee: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMAddAlias" ( LLVMModule LLVMType LLVMValue charPointer ) >
    self primitiveFailed
!

AddAttribute: Arg _: PA 
    "@param Arg: LLVMValueRef
     @param PA: LLVMAttribute
     @return: void
    "

    <cdecl: void "LLVMAddAttribute" ( LLVMValue int32 ) >
    self primitiveFailed
!

AddCase: Switch _: OnVal _: Dest 
    "@param Switch: LLVMValueRef
     @param OnVal: LLVMValueRef
     @param Dest: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMAddCase" ( LLVMValue LLVMValue LLVMBasicBlock ) >
    self primitiveFailed
!

AddClause: LandingPad _: ClauseVal 
    "@param LandingPad: LLVMValueRef
     @param ClauseVal: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMAddClause" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

AddDestination: IndirectBr _: Dest 
    "@param IndirectBr: LLVMValueRef
     @param Dest: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMAddDestination" ( LLVMValue LLVMBasicBlock ) >
    self primitiveFailed
!

AddFunction: M _: Name _: FunctionTy 
    "@param M: LLVMModuleRef
     @param Name: *const char
     @param FunctionTy: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMFunction "LLVMAddFunction" ( LLVMModule charPointer LLVMType ) >
    self primitiveFailed

    "Modified: / 11-07-2015 / 07:43:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

AddFunctionAttr: Fn _: PA 
    "@param Fn: LLVMValueRef
     @param PA: LLVMAttribute
     @return: void
    "

    <cdecl: void "LLVMAddFunctionAttr" ( LLVMValue int32 ) >
    self primitiveFailed
!

AddGlobal: M _: Ty _: Name 
    "@param M: LLVMModuleRef
     @param Ty: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMAddGlobal" ( LLVMModule LLVMType charPointer ) >
    self primitiveFailed
!

AddGlobalInAddressSpace: M _: Ty _: Name _: AddressSpace 
    "@param M: LLVMModuleRef
     @param Ty: LLVMTypeRef
     @param Name: *const char
     @param AddressSpace: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMAddGlobalInAddressSpace" ( LLVMModule LLVMType charPointer uint32 ) >
    self primitiveFailed
!

AddGlobalMapping: EE _: Global _: Addr 
    "@param EE: LLVMExecutionEngineRef
     @param Global: LLVMValueRef
     @param Addr: *void
     @return: void
    "

    <cdecl: void "LLVMAddGlobalMapping" ( LLVMExecutionEngine LLVMValue voidPointer ) >
    self primitiveFailed
!

AddIncoming: PhiNode _: IncomingValues _: IncomingBlocks _: Count 
    "@param PhiNode: LLVMValueRef
     @param IncomingValues: *LLVMValueRef
     @param IncomingBlocks: *LLVMBasicBlockRef
     @param Count: unsigned int
     @return: void
    "

    <cdecl: void "LLVMAddIncoming" ( LLVMValue pointer pointer uint32 ) >
    self primitiveFailed
!

AddInstrAttribute: Instr _: index _: arg3 
    "@param Instr: LLVMValueRef
     @param index: unsigned int
     @param arg3: LLVMAttribute
     @return: void
    "

    <cdecl: void "LLVMAddInstrAttribute" ( LLVMValue uint32 int32 ) >
    self primitiveFailed
!

AddMethod: M _: Name _: FunctionTy 
    "This is essentially AddFunction:_: but returns an instance
     of LLVMStXMethod instead of LLVMFunction"

    <cdecl: LLVMStXMethod "LLVMAddFunction" ( LLVMModule charPointer LLVMType ) >
    self primitiveFailed

    "Created: / 11-07-2015 / 08:54:33 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

AddModule: EE _: M 
    "@param EE: LLVMExecutionEngineRef
     @param M: LLVMModuleRef
     @return: void
    "

    <cdecl: void "LLVMAddModule" ( LLVMExecutionEngine LLVMModule ) >
    self primitiveFailed
!

AddModuleProvider: EE _: MP 
    "@param EE: LLVMExecutionEngineRef
     @param MP: LLVMModuleProviderRef
     @return: void
    "

    <cdecl: void "LLVMAddModuleProvider" ( LLVMExecutionEngine LLVMModuleProvider ) >
    self primitiveFailed
!

AddNamedMetadataOperand: M _: name _: Val 
    "@param M: LLVMModuleRef
     @param name: *const char
     @param Val: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMAddNamedMetadataOperand" ( LLVMModule charPointer LLVMValue ) >
    self primitiveFailed
!

AddTargetData: TD _: PM 
    "@param TD: LLVMTargetDataRef
     @param PM: LLVMPassManagerRef
     @return: void
    "

    <cdecl: void "LLVMAddTargetData" ( LLVMTargetData LLVMPassManager ) >
    self primitiveFailed
!

AddTargetDependentFunctionAttr: Fn _: A _: V 
    "@param Fn: LLVMValueRef
     @param A: *const char
     @param V: *const char
     @return: void
    "

    <cdecl: void "LLVMAddTargetDependentFunctionAttr" ( LLVMValue charPointer charPointer ) >
    self primitiveFailed
!

AddTargetLibraryInfo: TLI _: PM 
    "@param TLI: LLVMTargetLibraryInfoRef
     @param PM: LLVMPassManagerRef
     @return: void
    "

    <cdecl: void "LLVMAddTargetLibraryInfo" ( LLVMTargetLibraryInfo LLVMPassManager ) >
    self primitiveFailed
!

AlignOf: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMAlignOf" ( LLVMType ) >
    self primitiveFailed
!

AppendBasicBlock: Fn _: Name 
    "@param Fn: LLVMValueRef
     @param Name: *const char
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMAppendBasicBlock" ( LLVMValue charPointer ) >
    self primitiveFailed
!

AppendBasicBlockInContext: C _: Fn _: Name 
    "@param C: LLVMContextRef
     @param Fn: LLVMValueRef
     @param Name: *const char
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMAppendBasicBlockInContext" ( LLVMContext LLVMValue charPointer ) >
    self primitiveFailed
!

ArrayType: ElementType _: ElementCount 
    "@param ElementType: LLVMTypeRef
     @param ElementCount: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMArrayType" ( LLVMType uint32 ) >
    self primitiveFailed
!

BasicBlockAsValue: BB 
    "@param BB: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBasicBlockAsValue" ( LLVMBasicBlock ) >
    self primitiveFailed
!

BlockAddress: F _: BB 
    "@param F: LLVMValueRef
     @param BB: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBlockAddress" ( LLVMValue LLVMBasicBlock ) >
    self primitiveFailed
!

BuildAShr: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildAShr" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildAdd: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildAdd" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildAddrSpaceCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildAddrSpaceCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildAggregateRet: arg1 _: RetVals _: N 
    "@param arg1: LLVMBuilderRef
     @param RetVals: *LLVMValueRef
     @param N: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildAggregateRet" ( LLVMBuilder pointer uint32 ) >
    self primitiveFailed
!

BuildAlloca: arg1 _: Ty _: Name 
    "@param arg1: LLVMBuilderRef
     @param Ty: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildAlloca" ( LLVMBuilder LLVMType charPointer ) >
    self primitiveFailed
!

BuildAnd: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildAnd" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildArrayAlloca: arg1 _: Ty _: Val _: Name 
    "@param arg1: LLVMBuilderRef
     @param Ty: LLVMTypeRef
     @param Val: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildArrayAlloca" ( LLVMBuilder LLVMType LLVMValue charPointer ) >
    self primitiveFailed
!

BuildArrayMalloc: arg1 _: Ty _: Val _: Name 
    "@param arg1: LLVMBuilderRef
     @param Ty: LLVMTypeRef
     @param Val: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildArrayMalloc" ( LLVMBuilder LLVMType LLVMValue charPointer ) >
    self primitiveFailed
!

BuildAtomicRMW: B _: op _: PTR _: Val _: ordering _: singleThread 
    "@param B: LLVMBuilderRef
     @param op: LLVMAtomicRMWBinOp
     @param PTR: LLVMValueRef
     @param Val: LLVMValueRef
     @param ordering: LLVMAtomicOrdering
     @param singleThread: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildAtomicRMW" ( LLVMBuilder int32 LLVMValue LLVMValue int32 int32 ) >
    self primitiveFailed
!

BuildBinOp: B _: Op _: LHS _: RHS _: Name 
    "@param B: LLVMBuilderRef
     @param Op: LLVMOpcode
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildBinOp" ( LLVMBuilder int32 LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildBitCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildBitCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildBr: arg1 _: Dest 
    "@param arg1: LLVMBuilderRef
     @param Dest: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildBr" ( LLVMBuilder LLVMBasicBlock ) >
    self primitiveFailed
!

BuildCall: arg1 _: Fn _: Args _: NumArgs _: Name 
    "@param arg1: LLVMBuilderRef
     @param Fn: LLVMValueRef
     @param Args: *LLVMValueRef
     @param NumArgs: unsigned int
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildCall" ( LLVMBuilder LLVMValue pointer uint32 charPointer ) >
    self primitiveFailed
!

BuildCast: B _: Op _: Val _: DestTy _: Name 
    "@param B: LLVMBuilderRef
     @param Op: LLVMOpcode
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildCast" ( LLVMBuilder int32 LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildCondBr: arg1 _: If _: Then _: Else 
    "@param arg1: LLVMBuilderRef
     @param If: LLVMValueRef
     @param Then: LLVMBasicBlockRef
     @param Else: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildCondBr" ( LLVMBuilder LLVMValue LLVMBasicBlock LLVMBasicBlock ) >
    self primitiveFailed
!

BuildExactSDiv: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildExactSDiv" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildExtractElement: arg1 _: VecVal _: Index _: Name 
    "@param arg1: LLVMBuilderRef
     @param VecVal: LLVMValueRef
     @param Index: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildExtractElement" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildExtractValue: arg1 _: AggVal _: Index _: Name 
    "@param arg1: LLVMBuilderRef
     @param AggVal: LLVMValueRef
     @param Index: unsigned int
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildExtractValue" ( LLVMBuilder LLVMValue uint32 charPointer ) >
    self primitiveFailed
!

BuildFAdd: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFAdd" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildFCmp: arg1 _: Op _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param Op: LLVMRealPredicate
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFCmp" ( LLVMBuilder int32 LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildFDiv: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFDiv" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildFMul: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFMul" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildFNeg: arg1 _: V _: Name 
    "@param arg1: LLVMBuilderRef
     @param V: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFNeg" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildFPCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFPCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildFPExt: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFPExt" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildFPToSI: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFPToSI" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildFPToUI: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFPToUI" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildFPTrunc: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFPTrunc" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildFRem: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFRem" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildFSub: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFSub" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildFence: B _: ordering _: singleThread _: Name 
    "@param B: LLVMBuilderRef
     @param ordering: LLVMAtomicOrdering
     @param singleThread: LLVMBool
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFence" ( LLVMBuilder int32 int32 charPointer ) >
    self primitiveFailed
!

BuildFree: arg1 _: PointerVal 
    "@param arg1: LLVMBuilderRef
     @param PointerVal: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildFree" ( LLVMBuilder LLVMValue ) >
    self primitiveFailed
!

BuildGEP: B _: Pointer _: Indices _: NumIndices _: Name 
    "@param B: LLVMBuilderRef
     @param Pointer: LLVMValueRef
     @param Indices: *LLVMValueRef
     @param NumIndices: unsigned int
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildGEP" ( LLVMBuilder LLVMValue pointer uint32 charPointer ) >
    self primitiveFailed
!

BuildGlobalString: B _: Str _: Name 
    "@param B: LLVMBuilderRef
     @param Str: *const char
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildGlobalString" ( LLVMBuilder charPointer charPointer ) >
    self primitiveFailed
!

BuildGlobalStringPtr: B _: Str _: Name 
    "@param B: LLVMBuilderRef
     @param Str: *const char
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildGlobalStringPtr" ( LLVMBuilder charPointer charPointer ) >
    self primitiveFailed
!

BuildICmp: arg1 _: Op _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param Op: LLVMIntPredicate
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildICmp" ( LLVMBuilder int32 LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildInBoundsGEP: B _: Pointer _: Indices _: NumIndices _: Name 
    "@param B: LLVMBuilderRef
     @param Pointer: LLVMValueRef
     @param Indices: *LLVMValueRef
     @param NumIndices: unsigned int
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildInBoundsGEP" ( LLVMBuilder LLVMValue pointer uint32 charPointer ) >
    self primitiveFailed
!

BuildIndirectBr: B _: Addr _: NumDests 
    "@param B: LLVMBuilderRef
     @param Addr: LLVMValueRef
     @param NumDests: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildIndirectBr" ( LLVMBuilder LLVMValue uint32 ) >
    self primitiveFailed
!

BuildInsertElement: arg1 _: VecVal _: EltVal _: Index _: Name 
    "@param arg1: LLVMBuilderRef
     @param VecVal: LLVMValueRef
     @param EltVal: LLVMValueRef
     @param Index: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildInsertElement" ( LLVMBuilder LLVMValue LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildInsertValue: arg1 _: AggVal _: EltVal _: Index _: Name 
    "@param arg1: LLVMBuilderRef
     @param AggVal: LLVMValueRef
     @param EltVal: LLVMValueRef
     @param Index: unsigned int
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildInsertValue" ( LLVMBuilder LLVMValue LLVMValue uint32 charPointer ) >
    self primitiveFailed
!

BuildIntCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildIntCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildIntToPtr: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildIntToPtr" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildInvoke: arg1 _: Fn _: Args _: NumArgs _: Then _: Catch _: Name 
    "@param arg1: LLVMBuilderRef
     @param Fn: LLVMValueRef
     @param Args: *LLVMValueRef
     @param NumArgs: unsigned int
     @param Then: LLVMBasicBlockRef
     @param Catch: LLVMBasicBlockRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildInvoke" ( LLVMBuilder LLVMValue pointer uint32 LLVMBasicBlock LLVMBasicBlock charPointer ) >
    self primitiveFailed
!

BuildIsNotNull: arg1 _: Val _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildIsNotNull" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildIsNull: arg1 _: Val _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildIsNull" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildLShr: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildLShr" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildLandingPad: B _: Ty _: NumClauses _: Name 
    "@param B: LLVMBuilderRef
     @param Ty: LLVMTypeRef
     @param NumClauses: unsigned int
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildLandingPad" ( LLVMBuilder LLVMType uint32 charPointer ) >
    self primitiveFailed
!

BuildLoad: arg1 _: PointerVal _: Name 
    "@param arg1: LLVMBuilderRef
     @param PointerVal: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildLoad" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildMalloc: arg1 _: Ty _: Name 
    "@param arg1: LLVMBuilderRef
     @param Ty: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildMalloc" ( LLVMBuilder LLVMType charPointer ) >
    self primitiveFailed
!

BuildMul: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildMul" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNSWAdd: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNSWAdd" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNSWMul: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNSWMul" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNSWNeg: B _: V _: Name 
    "@param B: LLVMBuilderRef
     @param V: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNSWNeg" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNSWSub: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNSWSub" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNUWAdd: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNUWAdd" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNUWMul: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNUWMul" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNUWNeg: B _: V _: Name 
    "@param B: LLVMBuilderRef
     @param V: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNUWNeg" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNUWSub: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNUWSub" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNeg: arg1 _: V _: Name 
    "@param arg1: LLVMBuilderRef
     @param V: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNeg" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildNot: arg1 _: V _: Name 
    "@param arg1: LLVMBuilderRef
     @param V: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildNot" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

BuildOr: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildOr" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildPhi: arg1 _: Ty _: Name 
    "@param arg1: LLVMBuilderRef
     @param Ty: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildPhi" ( LLVMBuilder LLVMType charPointer ) >
    self primitiveFailed
!

BuildPointerCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildPointerCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildPtrDiff: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildPtrDiff" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildPtrToInt: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildPtrToInt" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildResume: B _: Exn 
    "@param B: LLVMBuilderRef
     @param Exn: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildResume" ( LLVMBuilder LLVMValue ) >
    self primitiveFailed
!

BuildRet: arg1 _: V 
    "@param arg1: LLVMBuilderRef
     @param V: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildRet" ( LLVMBuilder LLVMValue ) >
    self primitiveFailed
!

BuildRetVoid: arg1 
    "@param arg1: LLVMBuilderRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildRetVoid" ( LLVMBuilder ) >
    self primitiveFailed
!

BuildSDiv: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSDiv" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildSExt: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSExt" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildSExtOrBitCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSExtOrBitCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildSIToFP: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSIToFP" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildSRem: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSRem" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildSelect: arg1 _: If _: Then _: Else _: Name 
    "@param arg1: LLVMBuilderRef
     @param If: LLVMValueRef
     @param Then: LLVMValueRef
     @param Else: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSelect" ( LLVMBuilder LLVMValue LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildShl: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildShl" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildShuffleVector: arg1 _: V1 _: V2 _: Mask _: Name 
    "@param arg1: LLVMBuilderRef
     @param V1: LLVMValueRef
     @param V2: LLVMValueRef
     @param Mask: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildShuffleVector" ( LLVMBuilder LLVMValue LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildStore: arg1 _: Val _: Ptr 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param Ptr: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildStore" ( LLVMBuilder LLVMValue LLVMValue ) >
    self primitiveFailed
!

BuildStructGEP: B _: Pointer _: Idx _: Name 
    "@param B: LLVMBuilderRef
     @param Pointer: LLVMValueRef
     @param Idx: unsigned int
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildStructGEP" ( LLVMBuilder LLVMValue uint32 charPointer ) >
    self primitiveFailed
!

BuildSub: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSub" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildSwitch: arg1 _: V _: Else _: NumCases 
    "@param arg1: LLVMBuilderRef
     @param V: LLVMValueRef
     @param Else: LLVMBasicBlockRef
     @param NumCases: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildSwitch" ( LLVMBuilder LLVMValue LLVMBasicBlock uint32 ) >
    self primitiveFailed
!

BuildTrunc: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildTrunc" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildTruncOrBitCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildTruncOrBitCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildUDiv: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildUDiv" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildUIToFP: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildUIToFP" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildURem: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildURem" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildUnreachable: arg1 
    "@param arg1: LLVMBuilderRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildUnreachable" ( LLVMBuilder ) >
    self primitiveFailed
!

BuildVAArg: arg1 _: List _: Ty _: Name 
    "@param arg1: LLVMBuilderRef
     @param List: LLVMValueRef
     @param Ty: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildVAArg" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildXor: arg1 _: LHS _: RHS _: Name 
    "@param arg1: LLVMBuilderRef
     @param LHS: LLVMValueRef
     @param RHS: LLVMValueRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildXor" ( LLVMBuilder LLVMValue LLVMValue charPointer ) >
    self primitiveFailed
!

BuildZExt: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildZExt" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

BuildZExtOrBitCast: arg1 _: Val _: DestTy _: Name 
    "@param arg1: LLVMBuilderRef
     @param Val: LLVMValueRef
     @param DestTy: LLVMTypeRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMBuildZExtOrBitCast" ( LLVMBuilder LLVMValue LLVMType charPointer ) >
    self primitiveFailed
!

ByteOrder: TD 
    "@param TD: LLVMTargetDataRef
     @return: LLVMByteOrdering
    "

    <cdecl: int32 "LLVMByteOrder" ( LLVMTargetData ) >
    self primitiveFailed
!

CallFrameAlignmentOfType: TD _: Ty 
    "@param TD: LLVMTargetDataRef
     @param Ty: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMCallFrameAlignmentOfType" ( LLVMTargetData LLVMType ) >
    self primitiveFailed
!

ClearInsertionPosition: Builder 
    "@param Builder: LLVMBuilderRef
     @return: void
    "

    <cdecl: void "LLVMClearInsertionPosition" ( LLVMBuilder ) >
    self primitiveFailed
!

CloneModule: M 
    "@param M: LLVMModuleRef
     @return: LLVMModuleRef
    "

    <cdecl: LLVMModule "LLVMCloneModule" ( LLVMModule ) >
    self primitiveFailed
!

ConstAShr: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstAShr" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstAdd: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstAdd" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstAddrSpaceCast: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstAddrSpaceCast" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstAllOnes: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstAllOnes" ( LLVMType ) >
    self primitiveFailed
!

ConstAnd: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstAnd" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstArray: ElementTy _: ConstantVals _: Length 
    "@param ElementTy: LLVMTypeRef
     @param ConstantVals: *LLVMValueRef
     @param Length: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstArray" ( LLVMType pointer uint32 ) >
    self primitiveFailed
!

ConstBitCast: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstBitCast" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstExactSDiv: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstExactSDiv" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstExtractElement: VectorConstant _: IndexConstant 
    "@param VectorConstant: LLVMValueRef
     @param IndexConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstExtractElement" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstExtractValue: AggConstant _: IdxList _: NumIdx 
    "@param AggConstant: LLVMValueRef
     @param IdxList: *unsigned int
     @param NumIdx: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstExtractValue" ( LLVMValue int32Pointer uint32 ) >
    self primitiveFailed
!

ConstFAdd: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFAdd" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstFCmp: Predicate _: LHSConstant _: RHSConstant 
    "@param Predicate: LLVMRealPredicate
     @param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFCmp" ( int32 LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstFDiv: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFDiv" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstFMul: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFMul" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstFNeg: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFNeg" ( LLVMValue ) >
    self primitiveFailed
!

ConstFPCast: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFPCast" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstFPExt: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFPExt" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstFPToSI: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFPToSI" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstFPToUI: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFPToUI" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstFPTrunc: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFPTrunc" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstFRem: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFRem" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstFSub: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstFSub" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstGEP: ConstantVal _: ConstantIndices _: NumIndices 
    "@param ConstantVal: LLVMValueRef
     @param ConstantIndices: *LLVMValueRef
     @param NumIndices: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstGEP" ( LLVMValue pointer uint32 ) >
    self primitiveFailed
!

ConstICmp: Predicate _: LHSConstant _: RHSConstant 
    "@param Predicate: LLVMIntPredicate
     @param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstICmp" ( int32 LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstInBoundsGEP: ConstantVal _: ConstantIndices _: NumIndices 
    "@param ConstantVal: LLVMValueRef
     @param ConstantIndices: *LLVMValueRef
     @param NumIndices: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstInBoundsGEP" ( LLVMValue pointer uint32 ) >
    self primitiveFailed
!

ConstInlineAsm: Ty _: AsmString _: Constraints _: HasSideEffects _: IsAlignStack 
    "@param Ty: LLVMTypeRef
     @param AsmString: *const char
     @param Constraints: *const char
     @param HasSideEffects: LLVMBool
     @param IsAlignStack: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstInlineAsm" ( LLVMType charPointer charPointer int32 int32 ) >
    self primitiveFailed
!

ConstInsertElement: VectorConstant _: ElementValueConstant _: IndexConstant 
    "@param VectorConstant: LLVMValueRef
     @param ElementValueConstant: LLVMValueRef
     @param IndexConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstInsertElement" ( LLVMValue LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstInsertValue: AggConstant _: ElementValueConstant _: IdxList _: NumIdx 
    "@param AggConstant: LLVMValueRef
     @param ElementValueConstant: LLVMValueRef
     @param IdxList: *unsigned int
     @param NumIdx: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstInsertValue" ( LLVMValue LLVMValue int32Pointer uint32 ) >
    self primitiveFailed
!

ConstInt: IntTy _: N _: SignExtend 
    "@param IntTy: LLVMTypeRef
     @param N: long long unsigned int
     @param SignExtend: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstInt" ( LLVMType long int32 ) >
    self primitiveFailed
!

ConstIntCast: ConstantVal _: ToType _: isSigned 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @param isSigned: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstIntCast" ( LLVMValue LLVMType int32 ) >
    self primitiveFailed
!

ConstIntGetSExtValue: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: long long int
    "

    <cdecl: long "LLVMConstIntGetSExtValue" ( LLVMValue ) >
    self primitiveFailed
!

ConstIntGetZExtValue: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: long long unsigned int
    "

    <cdecl: long "LLVMConstIntGetZExtValue" ( LLVMValue ) >
    self primitiveFailed
!

ConstIntOfArbitraryPrecision: IntTy _: NumWords _: Words 
    "@param IntTy: LLVMTypeRef
     @param NumWords: unsigned int
     @param Words: *const uint64_t
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstIntOfArbitraryPrecision" ( LLVMType uint32 pointer ) >
    self primitiveFailed
!

ConstIntOfString: IntTy _: Text _: Radix 
    "@param IntTy: LLVMTypeRef
     @param Text: *const char
     @param Radix: uint8_t
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstIntOfString" ( LLVMType charPointer uchar ) >
    self primitiveFailed
!

ConstIntOfStringAndSize: IntTy _: Text _: SLen _: Radix 
    "@param IntTy: LLVMTypeRef
     @param Text: *const char
     @param SLen: unsigned int
     @param Radix: uint8_t
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstIntOfStringAndSize" ( LLVMType charPointer uint32 uchar ) >
    self primitiveFailed
!

ConstIntToPtr: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstIntToPtr" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstLShr: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstLShr" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstMul: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstMul" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstNSWAdd: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNSWAdd" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstNSWMul: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNSWMul" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstNSWNeg: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNSWNeg" ( LLVMValue ) >
    self primitiveFailed
!

ConstNSWSub: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNSWSub" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstNUWAdd: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNUWAdd" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstNUWMul: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNUWMul" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstNUWNeg: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNUWNeg" ( LLVMValue ) >
    self primitiveFailed
!

ConstNUWSub: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNUWSub" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstNamedStruct: StructTy _: ConstantVals _: Count 
    "@param StructTy: LLVMTypeRef
     @param ConstantVals: *LLVMValueRef
     @param Count: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNamedStruct" ( LLVMType pointer uint32 ) >
    self primitiveFailed
!

ConstNeg: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNeg" ( LLVMValue ) >
    self primitiveFailed
!

ConstNot: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNot" ( LLVMValue ) >
    self primitiveFailed
!

ConstNull: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstNull" ( LLVMType ) >
    self primitiveFailed
!

ConstOr: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstOr" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstPointerCast: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstPointerCast" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstPointerNull: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstPointerNull" ( LLVMType ) >
    self primitiveFailed
!

ConstPtrToInt: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstPtrToInt" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstReal: RealTy _: N 
    "@param RealTy: LLVMTypeRef
     @param N: double
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstReal" ( LLVMType double ) >
    self primitiveFailed
!

ConstRealGetDouble: ConstantVal _: losesInfo 
    "@param ConstantVal: LLVMValueRef
     @param losesInfo: *LLVMBool
     @return: double
    "

    <cdecl: double "LLVMConstRealGetDouble" ( LLVMValue pointer ) >
    self primitiveFailed
!

ConstRealOfString: RealTy _: Text 
    "@param RealTy: LLVMTypeRef
     @param Text: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstRealOfString" ( LLVMType charPointer ) >
    self primitiveFailed
!

ConstRealOfStringAndSize: RealTy _: Text _: SLen 
    "@param RealTy: LLVMTypeRef
     @param Text: *const char
     @param SLen: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstRealOfStringAndSize" ( LLVMType charPointer uint32 ) >
    self primitiveFailed
!

ConstSDiv: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstSDiv" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstSExt: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstSExt" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstSExtOrBitCast: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstSExtOrBitCast" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstSIToFP: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstSIToFP" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstSRem: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstSRem" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstSelect: ConstantCondition _: ConstantIfTrue _: ConstantIfFalse 
    "@param ConstantCondition: LLVMValueRef
     @param ConstantIfTrue: LLVMValueRef
     @param ConstantIfFalse: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstSelect" ( LLVMValue LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstShl: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstShl" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstShuffleVector: VectorAConstant _: VectorBConstant _: MaskConstant 
    "@param VectorAConstant: LLVMValueRef
     @param VectorBConstant: LLVMValueRef
     @param MaskConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstShuffleVector" ( LLVMValue LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstString: Str _: Length _: DontNullTerminate 
    "@param Str: *const char
     @param Length: unsigned int
     @param DontNullTerminate: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstString" ( charPointer uint32 int32 ) >
    self primitiveFailed
!

ConstStringInContext: C _: Str _: Length _: DontNullTerminate 
    "@param C: LLVMContextRef
     @param Str: *const char
     @param Length: unsigned int
     @param DontNullTerminate: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstStringInContext" ( LLVMContext charPointer uint32 int32 ) >
    self primitiveFailed
!

ConstStruct: ConstantVals _: Count _: Packed 
    "@param ConstantVals: *LLVMValueRef
     @param Count: unsigned int
     @param Packed: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstStruct" ( pointer uint32 int32 ) >
    self primitiveFailed
!

ConstStructInContext: C _: ConstantVals _: Count _: Packed 
    "@param C: LLVMContextRef
     @param ConstantVals: *LLVMValueRef
     @param Count: unsigned int
     @param Packed: LLVMBool
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstStructInContext" ( LLVMContext pointer uint32 int32 ) >
    self primitiveFailed
!

ConstSub: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstSub" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstTrunc: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstTrunc" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstTruncOrBitCast: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstTruncOrBitCast" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstUDiv: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstUDiv" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstUIToFP: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstUIToFP" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstURem: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstURem" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstVector: ScalarConstantVals _: Size 
    "@param ScalarConstantVals: *LLVMValueRef
     @param Size: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstVector" ( pointer uint32 ) >
    self primitiveFailed
!

ConstXor: LHSConstant _: RHSConstant 
    "@param LHSConstant: LLVMValueRef
     @param RHSConstant: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstXor" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ConstZExt: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstZExt" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ConstZExtOrBitCast: ConstantVal _: ToType 
    "@param ConstantVal: LLVMValueRef
     @param ToType: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMConstZExtOrBitCast" ( LLVMValue LLVMType ) >
    self primitiveFailed
!

ContextCreate
    "@return: LLVMContextRef
    "

    <cdecl: LLVMContext "LLVMContextCreate" ( ) >
    self primitiveFailed
!

ContextDispose: C 
    "@param C: LLVMContextRef
     @return: void
    "

    <cdecl: void "LLVMContextDispose" ( LLVMContext ) >
    self primitiveFailed
!

ContextSetDiagnosticHandler: C _: Handler _: DiagnosticContext 
    "@param C: LLVMContextRef
     @param Handler: *int
     @param DiagnosticContext: *void
     @return: void
    "

    <cdecl: void "LLVMContextSetDiagnosticHandler" ( LLVMContext int32Pointer voidPointer ) >
    self primitiveFailed
!

ContextSetYieldCallback: C _: Callback _: OpaqueHandle 
    "@param C: LLVMContextRef
     @param Callback: *int
     @param OpaqueHandle: *void
     @return: void
    "

    <cdecl: void "LLVMContextSetYieldCallback" ( LLVMContext int32Pointer voidPointer ) >
    self primitiveFailed
!

CopyStringRepOfTargetData: TD 
    "@param TD: LLVMTargetDataRef
     @return: *char
    "

    <cdecl: charPointer "LLVMCopyStringRepOfTargetData" ( LLVMTargetData ) >
    self primitiveFailed
!

CountBasicBlocks: Fn 
    "@param Fn: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMCountBasicBlocks" ( LLVMValue ) >
    self primitiveFailed
!

CountIncoming: PhiNode 
    "@param PhiNode: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMCountIncoming" ( LLVMValue ) >
    self primitiveFailed
!

CountParamTypes: FunctionTy 
    "@param FunctionTy: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMCountParamTypes" ( LLVMType ) >
    self primitiveFailed
!

CountParams: Fn 
    "@param Fn: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMCountParams" ( LLVMValue ) >
    self primitiveFailed
!

CountStructElementTypes: StructTy 
    "@param StructTy: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMCountStructElementTypes" ( LLVMType ) >
    self primitiveFailed
!

CreateBuilder
    "@return: LLVMBuilderRef
    "

    <cdecl: LLVMBuilder "LLVMCreateBuilder" ( ) >
    self primitiveFailed
!

CreateBuilderInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMBuilderRef
    "

    <cdecl: LLVMBuilder "LLVMCreateBuilderInContext" ( LLVMContext ) >
    self primitiveFailed
!

CreateExecutionEngine: OutEE _: MP _: OutError 
    "@param OutEE: *LLVMExecutionEngineRef
     @param MP: LLVMModuleProviderRef
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateExecutionEngine" ( pointer LLVMModuleProvider pointer ) >
    self primitiveFailed
!

CreateExecutionEngineForModule: OutEE _: M _: OutError 
    "@param OutEE: *LLVMExecutionEngineRef
     @param M: LLVMModuleRef
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateExecutionEngineForModule" ( pointer LLVMModule pointer ) >
    self primitiveFailed
!

CreateFunctionPassManager: MP 
    "@param MP: LLVMModuleProviderRef
     @return: LLVMPassManagerRef
    "

    <cdecl: LLVMPassManager "LLVMCreateFunctionPassManager" ( LLVMModuleProvider ) >
    self primitiveFailed
!

CreateFunctionPassManagerForModule: M 
    "@param M: LLVMModuleRef
     @return: LLVMPassManagerRef
    "

    <cdecl: LLVMPassManager "LLVMCreateFunctionPassManagerForModule" ( LLVMModule ) >
    self primitiveFailed
!

CreateGenericValueOfFloat: Ty _: N 
    "@param Ty: LLVMTypeRef
     @param N: double
     @return: LLVMGenericValueRef
    "

    <cdecl: LLVMGenericValue "LLVMCreateGenericValueOfFloat" ( LLVMType double ) >
    self primitiveFailed
!

CreateGenericValueOfInt: Ty _: N _: IsSigned 
    "@param Ty: LLVMTypeRef
     @param N: long long unsigned int
     @param IsSigned: LLVMBool
     @return: LLVMGenericValueRef
    "

    <cdecl: LLVMGenericValue "LLVMCreateGenericValueOfInt" ( LLVMType long int32 ) >
    self primitiveFailed
!

CreateGenericValueOfPointer: P 
    "@param P: *void
     @return: LLVMGenericValueRef
    "

    <cdecl: LLVMGenericValue "LLVMCreateGenericValueOfPointer" ( voidPointer ) >
    self primitiveFailed
!

CreateInterpreter: OutInterp _: MP _: OutError 
    "@param OutInterp: *LLVMExecutionEngineRef
     @param MP: LLVMModuleProviderRef
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateInterpreter" ( pointer LLVMModuleProvider pointer ) >
    self primitiveFailed
!

CreateInterpreterForModule: OutInterp _: M _: OutError 
    "@param OutInterp: *LLVMExecutionEngineRef
     @param M: LLVMModuleRef
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateInterpreterForModule" ( pointer LLVMModule pointer ) >
    self primitiveFailed
!

CreateJITCompiler: OutJIT _: MP _: OptLevel _: OutError 
    "@param OutJIT: *LLVMExecutionEngineRef
     @param MP: LLVMModuleProviderRef
     @param OptLevel: unsigned int
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateJITCompiler" ( pointer LLVMModuleProvider uint32 pointer ) >
    self primitiveFailed
!

CreateJITCompilerForModule: OutJIT _: M _: OptLevel _: OutError 
    "@param OutJIT: *LLVMExecutionEngineRef
     @param M: LLVMModuleRef
     @param OptLevel: unsigned int
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateJITCompilerForModule" ( pointer LLVMModule uint32 pointer ) >
    self primitiveFailed
!

CreateMCJITCompilerForModule: OutJIT _: M _: Options _: SizeOfOptions _: OutError 
    "@param OutJIT: *LLVMExecutionEngineRef
     @param M: LLVMModuleRef
     @param Options: *LLVMMCJITCompilerOptions
     @param SizeOfOptions: size_t
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateMCJITCompilerForModule" ( pointer LLVMModule LLVMMCJITCompilerOptions long pointer ) >
    self primitiveFailed
!

CreateMemoryBufferWithContentsOfFile: Path _: OutMemBuf _: OutMessage 
    "@param Path: *const char
     @param OutMemBuf: *LLVMMemoryBufferRef
     @param OutMessage: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateMemoryBufferWithContentsOfFile" ( charPointer pointer pointer ) >
    self primitiveFailed
!

CreateMemoryBufferWithMemoryRange: InputData _: InputDataLength _: BufferName _: RequiresNullTerminator 
    "@param InputData: *const char
     @param InputDataLength: size_t
     @param BufferName: *const char
     @param RequiresNullTerminator: LLVMBool
     @return: LLVMMemoryBufferRef
    "

    <cdecl: pointer "LLVMCreateMemoryBufferWithMemoryRange" ( charPointer long charPointer int32 ) >
    self primitiveFailed
!

CreateMemoryBufferWithMemoryRangeCopy: InputData _: InputDataLength _: BufferName 
    "@param InputData: *const char
     @param InputDataLength: size_t
     @param BufferName: *const char
     @return: LLVMMemoryBufferRef
    "

    <cdecl: pointer "LLVMCreateMemoryBufferWithMemoryRangeCopy" ( charPointer long charPointer ) >
    self primitiveFailed
!

CreateMemoryBufferWithSTDIN: OutMemBuf _: OutMessage 
    "@param OutMemBuf: *LLVMMemoryBufferRef
     @param OutMessage: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMCreateMemoryBufferWithSTDIN" ( pointer pointer ) >
    self primitiveFailed
!

CreateMessage: Message 
    "@param Message: *const char
     @return: *char
    "

    <cdecl: charPointer "LLVMCreateMessage" ( charPointer ) >
    self primitiveFailed
!

CreateModuleProviderForExistingModule: M 
    "@param M: LLVMModuleRef
     @return: LLVMModuleProviderRef
    "

    <cdecl: LLVMModuleProvider "LLVMCreateModuleProviderForExistingModule" ( LLVMModule ) >
    self primitiveFailed
!

CreatePassManager
    "@return: LLVMPassManagerRef
    "

    <cdecl: LLVMPassManager "LLVMCreatePassManager" ( ) >
    self primitiveFailed
!

CreateSimpleMCJITMemoryManager: Opaque _: AllocateCodeSection _: AllocateDataSection _: FinalizeMemory _: Destroy 
    "@param Opaque: *void
     @param AllocateCodeSection: *int
     @param AllocateDataSection: *int
     @param FinalizeMemory: *int
     @param Destroy: *int
     @return: LLVMMCJITMemoryManagerRef
    "

    <cdecl: LLVMMCJITMemoryManager "LLVMCreateSimpleMCJITMemoryManager" ( voidPointer int32Pointer int32Pointer int32Pointer int32Pointer ) >
    self primitiveFailed
!

CreateTargetData: StringRep 
    "@param StringRep: *const char
     @return: LLVMTargetDataRef
    "

    <cdecl: LLVMTargetData "LLVMCreateTargetData" ( charPointer ) >
    self primitiveFailed
!

DeleteBasicBlock: BB 
    "@param BB: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMDeleteBasicBlock" ( LLVMBasicBlock ) >
    self primitiveFailed
!

DeleteFunction: Fn 
    "@param Fn: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMDeleteFunction" ( LLVMValue ) >
    self primitiveFailed
!

DeleteGlobal: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMDeleteGlobal" ( LLVMValue ) >
    self primitiveFailed
!

DisposeBuilder: Builder 
    "@param Builder: LLVMBuilderRef
     @return: void
    "

    <cdecl: void "LLVMDisposeBuilder" ( LLVMBuilder ) >
    self primitiveFailed
!

DisposeExecutionEngine: EE 
    "@param EE: LLVMExecutionEngineRef
     @return: void
    "

    <cdecl: void "LLVMDisposeExecutionEngine" ( LLVMExecutionEngine ) >
    self primitiveFailed
!

DisposeGenericValue: GenVal 
    "@param GenVal: LLVMGenericValueRef
     @return: void
    "

    <cdecl: void "LLVMDisposeGenericValue" ( LLVMGenericValue ) >
    self primitiveFailed
!

DisposeMCJITMemoryManager: MM 
    "@param MM: LLVMMCJITMemoryManagerRef
     @return: void
    "

    <cdecl: void "LLVMDisposeMCJITMemoryManager" ( LLVMMCJITMemoryManager ) >
    self primitiveFailed
!

DisposeMemoryBuffer: MemBuf 
    "@param MemBuf: LLVMMemoryBufferRef
     @return: void
    "

    <cdecl: void "LLVMDisposeMemoryBuffer" ( pointer ) >
    self primitiveFailed
!

DisposeMessage: Message 
    "@param Message: *char
     @return: void
    "

    <cdecl: void "LLVMDisposeMessage" ( charPointer ) >
    self primitiveFailed
!

DisposeModule: M 
    "@param M: LLVMModuleRef
     @return: void
    "

    <cdecl: void "LLVMDisposeModule" ( LLVMModule ) >
    self primitiveFailed
!

DisposeModuleProvider: M 
    "@param M: LLVMModuleProviderRef
     @return: void
    "

    <cdecl: void "LLVMDisposeModuleProvider" ( LLVMModuleProvider ) >
    self primitiveFailed
!

DisposePassManager: PM 
    "@param PM: LLVMPassManagerRef
     @return: void
    "

    <cdecl: void "LLVMDisposePassManager" ( LLVMPassManager ) >
    self primitiveFailed
!

DisposeTargetData: TD 
    "@param TD: LLVMTargetDataRef
     @return: void
    "

    <cdecl: void "LLVMDisposeTargetData" ( LLVMTargetData ) >
    self primitiveFailed
!

DoubleType
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMDoubleType" ( ) >
    self primitiveFailed
!

DoubleTypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMDoubleTypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

DumpModule: M 
    "@param M: LLVMModuleRef
     @return: void
    "

    <cdecl: void "LLVMDumpModule" ( LLVMModule ) >
    self primitiveFailed
!

DumpType: Val 
    "@param Val: LLVMTypeRef
     @return: void
    "

    <cdecl: void "LLVMDumpType" ( LLVMType ) >
    self primitiveFailed
!

DumpValue: Val 
    "@param Val: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMDumpValue" ( LLVMValue ) >
    self primitiveFailed
!

ElementAtOffset: TD _: StructTy _: Offset 
    "@param TD: LLVMTargetDataRef
     @param StructTy: LLVMTypeRef
     @param Offset: long long unsigned int
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMElementAtOffset" ( LLVMTargetData LLVMType long ) >
    self primitiveFailed
!

EnablePrettyStackTrace
    "@return: void
    "

    <cdecl: void "LLVMEnablePrettyStackTrace" ( ) >
    self primitiveFailed
!

FP128Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMFP128Type" ( ) >
    self primitiveFailed
!

FP128TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMFP128TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

FinalizeFunctionPassManager: FPM 
    "@param FPM: LLVMPassManagerRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMFinalizeFunctionPassManager" ( LLVMPassManager ) >
    self primitiveFailed
!

FindFunction: EE _: Name _: OutFn 
    "@param EE: LLVMExecutionEngineRef
     @param Name: *const char
     @param OutFn: *LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMFindFunction" ( LLVMExecutionEngine charPointer pointer ) >
    self primitiveFailed
!

FloatType
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMFloatType" ( ) >
    self primitiveFailed
!

FloatTypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMFloatTypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

FreeMachineCodeForFunction: EE _: F 
    "@param EE: LLVMExecutionEngineRef
     @param F: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMFreeMachineCodeForFunction" ( LLVMExecutionEngine LLVMValue ) >
    self primitiveFailed
!

FunctionType: ReturnType _: ParamTypes _: ParamCount _: IsVarArg 
    "@param ReturnType: LLVMTypeRef
     @param ParamTypes: *LLVMTypeRef
     @param ParamCount: unsigned int
     @param IsVarArg: LLVMBool
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMFunctionType" ( LLVMType pointer uint32 int32 ) >
    self primitiveFailed
!

GenericValueIntWidth: GenValRef 
    "@param GenValRef: LLVMGenericValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGenericValueIntWidth" ( LLVMGenericValue ) >
    self primitiveFailed
!

GenericValueToFloat: TyRef _: GenVal 
    "@param TyRef: LLVMTypeRef
     @param GenVal: LLVMGenericValueRef
     @return: double
    "

    <cdecl: double "LLVMGenericValueToFloat" ( LLVMType LLVMGenericValue ) >
    self primitiveFailed
!

GenericValueToInt: GenVal _: IsSigned 
    "@param GenVal: LLVMGenericValueRef
     @param IsSigned: LLVMBool
     @return: long long unsigned int
    "

    <cdecl: long "LLVMGenericValueToInt" ( LLVMGenericValue int32 ) >
    self primitiveFailed
!

GenericValueToPointer: GenVal 
    "@param GenVal: LLVMGenericValueRef
     @return: *void
    "

    <cdecl: voidPointer "LLVMGenericValueToPointer" ( LLVMGenericValue ) >
    self primitiveFailed
!

GetAlignment: V 
    "@param V: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetAlignment" ( LLVMValue ) >
    self primitiveFailed
!

GetArrayLength: ArrayTy 
    "@param ArrayTy: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetArrayLength" ( LLVMType ) >
    self primitiveFailed
!

GetAsString: c _: out 
    "@param c: LLVMValueRef
     @param out: *size_t
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetAsString" ( LLVMValue pointer ) >
    self primitiveFailed
!

GetAttribute: Arg 
    "@param Arg: LLVMValueRef
     @return: LLVMAttribute
    "

    <cdecl: int32 "LLVMGetAttribute" ( LLVMValue ) >
    self primitiveFailed
!

GetBasicBlockParent: BB 
    "@param BB: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetBasicBlockParent" ( LLVMBasicBlock ) >
    self primitiveFailed
!

GetBasicBlockTerminator: BB 
    "@param BB: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetBasicBlockTerminator" ( LLVMBasicBlock ) >
    self primitiveFailed
!

GetBasicBlocks: Fn _: BasicBlocks 
    "@param Fn: LLVMValueRef
     @param BasicBlocks: *LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMGetBasicBlocks" ( LLVMValue pointer ) >
    self primitiveFailed
!

GetBufferSize: MemBuf 
    "@param MemBuf: LLVMMemoryBufferRef
     @return: size_t
    "

    <cdecl: long "LLVMGetBufferSize" ( pointer ) >
    self primitiveFailed
!

GetBufferStart: MemBuf 
    "@param MemBuf: LLVMMemoryBufferRef
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetBufferStart" ( pointer ) >
    self primitiveFailed
!

GetCondition: Branch 
    "@param Branch: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetCondition" ( LLVMValue ) >
    self primitiveFailed
!

GetConstOpcode: ConstantVal 
    "@param ConstantVal: LLVMValueRef
     @return: LLVMOpcode
    "

    <cdecl: int32 "LLVMGetConstOpcode" ( LLVMValue ) >
    self primitiveFailed
!

GetCurrentDebugLocation: Builder 
    "@param Builder: LLVMBuilderRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetCurrentDebugLocation" ( LLVMBuilder ) >
    self primitiveFailed
!

GetDLLStorageClass: Global 
    "@param Global: LLVMValueRef
     @return: LLVMDLLStorageClass
    "

    <cdecl: int32 "LLVMGetDLLStorageClass" ( LLVMValue ) >
    self primitiveFailed
!

GetDataLayout: M 
    "@param M: LLVMModuleRef
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetDataLayout" ( LLVMModule ) >
    self primitiveFailed
!

GetDiagInfoDescription: DI 
    "@param DI: LLVMDiagnosticInfoRef
     @return: *char
    "

    <cdecl: charPointer "LLVMGetDiagInfoDescription" ( LLVMDiagnosticInfo ) >
    self primitiveFailed
!

GetDiagInfoSeverity: DI 
    "@param DI: LLVMDiagnosticInfoRef
     @return: LLVMDiagnosticSeverity
    "

    <cdecl: int32 "LLVMGetDiagInfoSeverity" ( LLVMDiagnosticInfo ) >
    self primitiveFailed
!

GetElementAsConstant: c _: idx 
    "@param c: LLVMValueRef
     @param idx: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetElementAsConstant" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetElementType: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMGetElementType" ( LLVMType ) >
    self primitiveFailed
!

GetEntryBasicBlock: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetEntryBasicBlock" ( LLVMValue ) >
    self primitiveFailed
!

GetExecutionEngineTargetData: EE 
    "@param EE: LLVMExecutionEngineRef
     @return: LLVMTargetDataRef
    "

    <cdecl: LLVMTargetData "LLVMGetExecutionEngineTargetData" ( LLVMExecutionEngine ) >
    self primitiveFailed
!

GetExecutionEngineTargetMachine: EE 
    "@param EE: LLVMExecutionEngineRef
     @return: LLVMTargetMachineRef
    "

    <cdecl: pointer "LLVMGetExecutionEngineTargetMachine" ( LLVMExecutionEngine ) >
    self primitiveFailed
!

GetFCmpPredicate: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMRealPredicate
    "

    <cdecl: int32 "LLVMGetFCmpPredicate" ( LLVMValue ) >
    self primitiveFailed
!

GetFirstBasicBlock: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetFirstBasicBlock" ( LLVMValue ) >
    self primitiveFailed
!

GetFirstFunction: M 
    "@param M: LLVMModuleRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetFirstFunction" ( LLVMModule ) >
    self primitiveFailed
!

GetFirstGlobal: M 
    "@param M: LLVMModuleRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetFirstGlobal" ( LLVMModule ) >
    self primitiveFailed
!

GetFirstInstruction: BB 
    "@param BB: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetFirstInstruction" ( LLVMBasicBlock ) >
    self primitiveFailed
!

GetFirstParam: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetFirstParam" ( LLVMValue ) >
    self primitiveFailed
!

GetFirstUse: Val 
    "@param Val: LLVMValueRef
     @return: LLVMUseRef
    "

    <cdecl: LLVMUse "LLVMGetFirstUse" ( LLVMValue ) >
    self primitiveFailed
!

GetFunctionAddress: EE _: Name 
    "@param EE: LLVMExecutionEngineRef
     @param Name: *const char
     @return: uint64_t
    "

    <cdecl: int64 "LLVMGetFunctionAddress" ( LLVMExecutionEngine charPointer ) >
    self primitiveFailed

    "Modified: / 10-07-2015 / 21:50:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

GetFunctionAttr: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMAttribute
    "

    <cdecl: int32 "LLVMGetFunctionAttr" ( LLVMValue ) >
    self primitiveFailed
!

GetFunctionCallConv: Fn 
    "@param Fn: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetFunctionCallConv" ( LLVMValue ) >
    self primitiveFailed
!

GetGC: Fn 
    "@param Fn: LLVMValueRef
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetGC" ( LLVMValue ) >
    self primitiveFailed
!

GetGlobalContext
    "@return: LLVMContextRef
    "

    <cdecl: LLVMContext "LLVMGetGlobalContext" ( ) >
    self primitiveFailed
!

GetGlobalParent: Global 
    "@param Global: LLVMValueRef
     @return: LLVMModuleRef
    "

    <cdecl: LLVMModule "LLVMGetGlobalParent" ( LLVMValue ) >
    self primitiveFailed
!

GetGlobalPassRegistry
    "@return: LLVMPassRegistryRef
    "

    <cdecl: LLVMPassRegistry "LLVMGetGlobalPassRegistry" ( ) >
    self primitiveFailed
!

GetGlobalValueAddress: EE _: Name 
    "@param EE: LLVMExecutionEngineRef
     @param Name: *const char
     @return: uint64_t
    "

    <cdecl: long "LLVMGetGlobalValueAddress" ( LLVMExecutionEngine charPointer ) >
    self primitiveFailed
!

GetICmpPredicate: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMIntPredicate
    "

    <cdecl: int32 "LLVMGetICmpPredicate" ( LLVMValue ) >
    self primitiveFailed
!

GetIncomingBlock: PhiNode _: Index 
    "@param PhiNode: LLVMValueRef
     @param Index: unsigned int
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetIncomingBlock" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetIncomingValue: PhiNode _: Index 
    "@param PhiNode: LLVMValueRef
     @param Index: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetIncomingValue" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetInitializer: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetInitializer" ( LLVMValue ) >
    self primitiveFailed
!

GetInsertBlock: Builder 
    "@param Builder: LLVMBuilderRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetInsertBlock" ( LLVMBuilder ) >
    self primitiveFailed
!

GetInstructionCallConv: Instr 
    "@param Instr: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetInstructionCallConv" ( LLVMValue ) >
    self primitiveFailed
!

GetInstructionOpcode: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMOpcode
    "

    <cdecl: int32 "LLVMGetInstructionOpcode" ( LLVMValue ) >
    self primitiveFailed
!

GetInstructionParent: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetInstructionParent" ( LLVMValue ) >
    self primitiveFailed
!

GetIntTypeWidth: IntegerTy 
    "@param IntegerTy: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetIntTypeWidth" ( LLVMType ) >
    self primitiveFailed
!

GetIntrinsicID: Fn 
    "@param Fn: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetIntrinsicID" ( LLVMValue ) >
    self primitiveFailed
!

GetLastBasicBlock: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetLastBasicBlock" ( LLVMValue ) >
    self primitiveFailed
!

GetLastFunction: M 
    "@param M: LLVMModuleRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetLastFunction" ( LLVMModule ) >
    self primitiveFailed
!

GetLastGlobal: M 
    "@param M: LLVMModuleRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetLastGlobal" ( LLVMModule ) >
    self primitiveFailed
!

GetLastInstruction: BB 
    "@param BB: LLVMBasicBlockRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetLastInstruction" ( LLVMBasicBlock ) >
    self primitiveFailed
!

GetLastParam: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetLastParam" ( LLVMValue ) >
    self primitiveFailed
!

GetLinkage: Global 
    "@param Global: LLVMValueRef
     @return: LLVMLinkage
    "

    <cdecl: int32 "LLVMGetLinkage" ( LLVMValue ) >
    self primitiveFailed
!

GetMDKindID: Name _: SLen 
    "@param Name: *const char
     @param SLen: unsigned int
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetMDKindID" ( charPointer uint32 ) >
    self primitiveFailed
!

GetMDKindIDInContext: C _: Name _: SLen 
    "@param C: LLVMContextRef
     @param Name: *const char
     @param SLen: unsigned int
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetMDKindIDInContext" ( LLVMContext charPointer uint32 ) >
    self primitiveFailed
!

GetMDNodeNumOperands: V 
    "@param V: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetMDNodeNumOperands" ( LLVMValue ) >
    self primitiveFailed
!

GetMDNodeOperands: V _: Dest 
    "@param V: LLVMValueRef
     @param Dest: *LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMGetMDNodeOperands" ( LLVMValue pointer ) >
    self primitiveFailed
!

GetMDString: V _: Len 
    "@param V: LLVMValueRef
     @param Len: *unsigned int
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetMDString" ( LLVMValue int32Pointer ) >
    self primitiveFailed
!

GetMetadata: Val _: KindID 
    "@param Val: LLVMValueRef
     @param KindID: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetMetadata" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetModuleContext: M 
    "@param M: LLVMModuleRef
     @return: LLVMContextRef
    "

    <cdecl: LLVMContext "LLVMGetModuleContext" ( LLVMModule ) >
    self primitiveFailed
!

GetNamedFunction: M _: Name 
    "@param M: LLVMModuleRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetNamedFunction" ( LLVMModule charPointer ) >
    self primitiveFailed
!

GetNamedGlobal: M _: Name 
    "@param M: LLVMModuleRef
     @param Name: *const char
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetNamedGlobal" ( LLVMModule charPointer ) >
    self primitiveFailed
!

GetNamedMetadataNumOperands: M _: name 
    "@param M: LLVMModuleRef
     @param name: *const char
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetNamedMetadataNumOperands" ( LLVMModule charPointer ) >
    self primitiveFailed
!

GetNamedMetadataOperands: M _: name _: Dest 
    "@param M: LLVMModuleRef
     @param name: *const char
     @param Dest: *LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMGetNamedMetadataOperands" ( LLVMModule charPointer pointer ) >
    self primitiveFailed
!

GetNextBasicBlock: BB 
    "@param BB: LLVMBasicBlockRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetNextBasicBlock" ( LLVMBasicBlock ) >
    self primitiveFailed
!

GetNextFunction: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetNextFunction" ( LLVMValue ) >
    self primitiveFailed
!

GetNextGlobal: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetNextGlobal" ( LLVMValue ) >
    self primitiveFailed
!

GetNextInstruction: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetNextInstruction" ( LLVMValue ) >
    self primitiveFailed
!

GetNextParam: Arg 
    "@param Arg: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetNextParam" ( LLVMValue ) >
    self primitiveFailed
!

GetNextUse: U 
    "@param U: LLVMUseRef
     @return: LLVMUseRef
    "

    <cdecl: LLVMUse "LLVMGetNextUse" ( LLVMUse ) >
    self primitiveFailed
!

GetNumOperands: Val 
    "@param Val: LLVMValueRef
     @return: int
    "

    <cdecl: int32 "LLVMGetNumOperands" ( LLVMValue ) >
    self primitiveFailed
!

GetNumSuccessors: Term 
    "@param Term: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetNumSuccessors" ( LLVMValue ) >
    self primitiveFailed
!

GetOperand: Val _: Index 
    "@param Val: LLVMValueRef
     @param Index: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetOperand" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetOperandUse: Val _: Index 
    "@param Val: LLVMValueRef
     @param Index: unsigned int
     @return: LLVMUseRef
    "

    <cdecl: LLVMUse "LLVMGetOperandUse" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetParam: Fn _: Index 
    "@param Fn: LLVMValueRef
     @param Index: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetParam" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetParamParent: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetParamParent" ( LLVMValue ) >
    self primitiveFailed
!

GetParamTypes: FunctionTy _: Dest 
    "@param FunctionTy: LLVMTypeRef
     @param Dest: *LLVMTypeRef
     @return: void
    "

    <cdecl: void "LLVMGetParamTypes" ( LLVMType pointer ) >
    self primitiveFailed
!

GetParams: Fn _: Params 
    "@param Fn: LLVMValueRef
     @param Params: *LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMGetParams" ( LLVMValue pointer ) >
    self primitiveFailed
!

GetPointerAddressSpace: PointerTy 
    "@param PointerTy: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetPointerAddressSpace" ( LLVMType ) >
    self primitiveFailed
!

GetPointerToGlobal: EE _: Global 
    "@param EE: LLVMExecutionEngineRef
     @param Global: LLVMValueRef
     @return: *void
    "

    <cdecl: voidPointer "LLVMGetPointerToGlobal" ( LLVMExecutionEngine LLVMValue ) >
    self primitiveFailed
!

GetPreviousBasicBlock: BB 
    "@param BB: LLVMBasicBlockRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetPreviousBasicBlock" ( LLVMBasicBlock ) >
    self primitiveFailed
!

GetPreviousFunction: Fn 
    "@param Fn: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetPreviousFunction" ( LLVMValue ) >
    self primitiveFailed
!

GetPreviousGlobal: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetPreviousGlobal" ( LLVMValue ) >
    self primitiveFailed
!

GetPreviousInstruction: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetPreviousInstruction" ( LLVMValue ) >
    self primitiveFailed
!

GetPreviousParam: Arg 
    "@param Arg: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetPreviousParam" ( LLVMValue ) >
    self primitiveFailed
!

GetReturnType: FunctionTy 
    "@param FunctionTy: LLVMTypeRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMGetReturnType" ( LLVMType ) >
    self primitiveFailed
!

GetSection: Global 
    "@param Global: LLVMValueRef
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetSection" ( LLVMValue ) >
    self primitiveFailed
!

GetStructElementTypes: StructTy _: Dest 
    "@param StructTy: LLVMTypeRef
     @param Dest: *LLVMTypeRef
     @return: void
    "

    <cdecl: void "LLVMGetStructElementTypes" ( LLVMType pointer ) >
    self primitiveFailed
!

GetStructName: Ty 
    "@param Ty: LLVMTypeRef
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetStructName" ( LLVMType ) >
    self primitiveFailed
!

GetSuccessor: Term _: i 
    "@param Term: LLVMValueRef
     @param i: unsigned int
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetSuccessor" ( LLVMValue uint32 ) >
    self primitiveFailed
!

GetSwitchDefaultDest: SwitchInstr 
    "@param SwitchInstr: LLVMValueRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMGetSwitchDefaultDest" ( LLVMValue ) >
    self primitiveFailed
!

GetTarget: M 
    "@param M: LLVMModuleRef
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetTarget" ( LLVMModule ) >
    self primitiveFailed
!

GetThreadLocalMode: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: LLVMThreadLocalMode
    "

    <cdecl: int32 "LLVMGetThreadLocalMode" ( LLVMValue ) >
    self primitiveFailed
!

GetTypeByName: M _: Name 
    "@param M: LLVMModuleRef
     @param Name: *const char
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMGetTypeByName" ( LLVMModule charPointer ) >
    self primitiveFailed
!

GetTypeContext: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMContextRef
    "

    <cdecl: LLVMContext "LLVMGetTypeContext" ( LLVMType ) >
    self primitiveFailed
!

GetTypeKind: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMTypeKind
    "

    <cdecl: int32 "LLVMGetTypeKind" ( LLVMType ) >
    self primitiveFailed
!

GetUndef: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetUndef" ( LLVMType ) >
    self primitiveFailed
!

GetUsedValue: U 
    "@param U: LLVMUseRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetUsedValue" ( LLVMUse ) >
    self primitiveFailed
!

GetUser: U 
    "@param U: LLVMUseRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMGetUser" ( LLVMUse ) >
    self primitiveFailed
!

GetValueName: Val 
    "@param Val: LLVMValueRef
     @return: *const char
    "

    <cdecl: charPointer "LLVMGetValueName" ( LLVMValue ) >
    self primitiveFailed
!

GetVectorSize: VectorTy 
    "@param VectorTy: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMGetVectorSize" ( LLVMType ) >
    self primitiveFailed
!

GetVisibility: Global 
    "@param Global: LLVMValueRef
     @return: LLVMVisibility
    "

    <cdecl: int32 "LLVMGetVisibility" ( LLVMValue ) >
    self primitiveFailed
!

GetVolatile: MemoryAccessInst 
    "@param MemoryAccessInst: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMGetVolatile" ( LLVMValue ) >
    self primitiveFailed
!

HalfType
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMHalfType" ( ) >
    self primitiveFailed
!

HalfTypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMHalfTypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

HasMetadata: Val 
    "@param Val: LLVMValueRef
     @return: int
    "

    <cdecl: int32 "LLVMHasMetadata" ( LLVMValue ) >
    self primitiveFailed
!

HasUnnamedAddr: Global 
    "@param Global: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMHasUnnamedAddr" ( LLVMValue ) >
    self primitiveFailed
!

InitializeAllAsmParsers
    "@return: void
    "

    <cdecl: void "LLVMInitializeAllAsmParsers" ( ) >
    self primitiveFailed
!

InitializeAllAsmPrinters
    "@return: void
    "

    <cdecl: void "LLVMInitializeAllAsmPrinters" ( ) >
    self primitiveFailed
!

InitializeAllDisassemblers
    "@return: void
    "

    <cdecl: void "LLVMInitializeAllDisassemblers" ( ) >
    self primitiveFailed
!

InitializeAllTargetInfos
    "@return: void
    "

    <cdecl: void "LLVMInitializeAllTargetInfos" ( ) >
    self primitiveFailed
!

InitializeAllTargetMCs
    "@return: void
    "

    <cdecl: void "LLVMInitializeAllTargetMCs" ( ) >
    self primitiveFailed
!

InitializeAllTargets
    "@return: void
    "

    <cdecl: void "LLVMInitializeAllTargets" ( ) >
    self primitiveFailed
!

InitializeCore: R 
    "@param R: LLVMPassRegistryRef
     @return: void
    "

    <cdecl: void "LLVMInitializeCore" ( LLVMPassRegistry ) >
    self primitiveFailed
!

InitializeFunctionPassManager: FPM 
    "@param FPM: LLVMPassManagerRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMInitializeFunctionPassManager" ( LLVMPassManager ) >
    self primitiveFailed
!

InitializeMCJITCompilerOptions: Options _: SizeOfOptions 
    "@param Options: *LLVMMCJITCompilerOptions
     @param SizeOfOptions: size_t
     @return: void
    "

    <cdecl: void "LLVMInitializeMCJITCompilerOptions" ( LLVMMCJITCompilerOptions long ) >
    self primitiveFailed
!

InitializeNativeAsmParser
    "@return: LLVMBool
    "

    <cdecl: int32 "LLVMInitializeNativeAsmParser" ( ) >
    self primitiveFailed
!

InitializeNativeAsmPrinter
    "@return: LLVMBool
    "

    <cdecl: int32 "LLVMInitializeNativeAsmPrinter" ( ) >
    self primitiveFailed
!

InitializeNativeDisassembler
    "@return: LLVMBool
    "

    <cdecl: int32 "LLVMInitializeNativeDisassembler" ( ) >
    self primitiveFailed
!

InitializeNativeTarget
    "@return: LLVMBool
    "

    <cdecl: int32 "LLVMInitializeNativeTarget" ( ) >
    self primitiveFailed
!

InitializeX86AsmPrinter
    "@return: LLVMBool
    "

    <cdecl: void "LLVMInitializeX86AsmPrinter" ( ) >
    self primitiveFailed

    "Created: / 10-07-2015 / 22:20:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

InitializeX86Target
    "@return: LLVMBool
    "

    <cdecl: void "LLVMInitializeX86Target" ( ) >
    self primitiveFailed

    "Created: / 10-07-2015 / 22:20:12 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

InitializeX86TargetInfo
    "@return: LLVMBool
    "

    <cdecl: void "LLVMInitializeX86TargetInfo" ( ) >
    self primitiveFailed

    "Created: / 10-07-2015 / 22:33:31 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

InitializeX86TargetMC
    "@return: LLVMBool
    "

    <cdecl: void "LLVMInitializeX86TargetMC" ( ) >
    self primitiveFailed

    "Created: / 10-07-2015 / 22:33:44 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

InsertBasicBlock: InsertBeforeBB _: Name 
    "@param InsertBeforeBB: LLVMBasicBlockRef
     @param Name: *const char
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMInsertBasicBlock" ( LLVMBasicBlock charPointer ) >
    self primitiveFailed
!

InsertBasicBlockInContext: C _: BB _: Name 
    "@param C: LLVMContextRef
     @param BB: LLVMBasicBlockRef
     @param Name: *const char
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMInsertBasicBlockInContext" ( LLVMContext LLVMBasicBlock charPointer ) >
    self primitiveFailed
!

InsertIntoBuilder: Builder _: Instr 
    "@param Builder: LLVMBuilderRef
     @param Instr: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMInsertIntoBuilder" ( LLVMBuilder LLVMValue ) >
    self primitiveFailed
!

InsertIntoBuilderWithName: Builder _: Instr _: Name 
    "@param Builder: LLVMBuilderRef
     @param Instr: LLVMValueRef
     @param Name: *const char
     @return: void
    "

    <cdecl: void "LLVMInsertIntoBuilderWithName" ( LLVMBuilder LLVMValue charPointer ) >
    self primitiveFailed
!

InstallFatalErrorHandler: Handler 
    "@param Handler: *int
     @return: void
    "

    <cdecl: void "LLVMInstallFatalErrorHandler" ( int32Pointer ) >
    self primitiveFailed
!

InstructionClone: Inst 
    "@param Inst: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMInstructionClone" ( LLVMValue ) >
    self primitiveFailed
!

InstructionEraseFromParent: Inst 
    "@param Inst: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMInstructionEraseFromParent" ( LLVMValue ) >
    self primitiveFailed
!

Int16Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt16Type" ( ) >
    self primitiveFailed
!

Int16TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt16TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

Int1Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt1Type" ( ) >
    self primitiveFailed
!

Int1TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt1TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

Int32Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt32Type" ( ) >
    self primitiveFailed
!

Int32TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt32TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

Int64Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt64Type" ( ) >
    self primitiveFailed
!

Int64TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt64TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

Int8Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt8Type" ( ) >
    self primitiveFailed
!

Int8TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMInt8TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

IntPtrType: TD 
    "@param TD: LLVMTargetDataRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMIntPtrType" ( LLVMTargetData ) >
    self primitiveFailed
!

IntPtrTypeForAS: TD _: AS 
    "@param TD: LLVMTargetDataRef
     @param AS: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMIntPtrTypeForAS" ( LLVMTargetData uint32 ) >
    self primitiveFailed
!

IntPtrTypeForASInContext: C _: TD _: AS 
    "@param C: LLVMContextRef
     @param TD: LLVMTargetDataRef
     @param AS: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMIntPtrTypeForASInContext" ( LLVMContext LLVMTargetData uint32 ) >
    self primitiveFailed
!

IntPtrTypeInContext: C _: TD 
    "@param C: LLVMContextRef
     @param TD: LLVMTargetDataRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMIntPtrTypeInContext" ( LLVMContext LLVMTargetData ) >
    self primitiveFailed
!

IntType: NumBits 
    "@param NumBits: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMIntType" ( uint32 ) >
    self primitiveFailed
!

IntTypeInContext: C _: NumBits 
    "@param C: LLVMContextRef
     @param NumBits: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMIntTypeInContext" ( LLVMContext uint32 ) >
    self primitiveFailed
!

IsAAddrSpaceCastInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAAddrSpaceCastInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAAllocaInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAAllocaInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAArgument: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAArgument" ( LLVMValue ) >
    self primitiveFailed
!

IsABasicBlock: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsABasicBlock" ( LLVMValue ) >
    self primitiveFailed
!

IsABinaryOperator: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsABinaryOperator" ( LLVMValue ) >
    self primitiveFailed
!

IsABitCastInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsABitCastInst" ( LLVMValue ) >
    self primitiveFailed
!

IsABlockAddress: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsABlockAddress" ( LLVMValue ) >
    self primitiveFailed
!

IsABranchInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsABranchInst" ( LLVMValue ) >
    self primitiveFailed
!

IsACallInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsACallInst" ( LLVMValue ) >
    self primitiveFailed
!

IsACastInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsACastInst" ( LLVMValue ) >
    self primitiveFailed
!

IsACmpInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsACmpInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstant: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstant" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantAggregateZero: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantAggregateZero" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantArray: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantArray" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantDataArray: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantDataArray" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantDataSequential: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantDataSequential" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantDataVector: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantDataVector" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantExpr: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantExpr" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantFP: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantFP" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantInt: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantInt" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantPointerNull: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantPointerNull" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantStruct: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantStruct" ( LLVMValue ) >
    self primitiveFailed
!

IsAConstantVector: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAConstantVector" ( LLVMValue ) >
    self primitiveFailed
!

IsADbgDeclareInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsADbgDeclareInst" ( LLVMValue ) >
    self primitiveFailed
!

IsADbgInfoIntrinsic: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsADbgInfoIntrinsic" ( LLVMValue ) >
    self primitiveFailed
!

IsAExtractElementInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAExtractElementInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAExtractValueInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAExtractValueInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAFCmpInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAFCmpInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAFPExtInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAFPExtInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAFPToSIInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAFPToSIInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAFPToUIInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAFPToUIInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAFPTruncInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAFPTruncInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAFunction: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAFunction" ( LLVMValue ) >
    self primitiveFailed
!

IsAGetElementPtrInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAGetElementPtrInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAGlobalAlias: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAGlobalAlias" ( LLVMValue ) >
    self primitiveFailed
!

IsAGlobalObject: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAGlobalObject" ( LLVMValue ) >
    self primitiveFailed
!

IsAGlobalValue: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAGlobalValue" ( LLVMValue ) >
    self primitiveFailed
!

IsAGlobalVariable: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAGlobalVariable" ( LLVMValue ) >
    self primitiveFailed
!

IsAICmpInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAICmpInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAIndirectBrInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAIndirectBrInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAInlineAsm: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAInlineAsm" ( LLVMValue ) >
    self primitiveFailed
!

IsAInsertElementInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAInsertElementInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAInsertValueInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAInsertValueInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAInstruction: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAInstruction" ( LLVMValue ) >
    self primitiveFailed
!

IsAIntToPtrInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAIntToPtrInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAIntrinsicInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAIntrinsicInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAInvokeInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAInvokeInst" ( LLVMValue ) >
    self primitiveFailed
!

IsALandingPadInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsALandingPadInst" ( LLVMValue ) >
    self primitiveFailed
!

IsALoadInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsALoadInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAMDNode: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAMDNode" ( LLVMValue ) >
    self primitiveFailed
!

IsAMDString: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAMDString" ( LLVMValue ) >
    self primitiveFailed
!

IsAMemCpyInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAMemCpyInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAMemIntrinsic: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAMemIntrinsic" ( LLVMValue ) >
    self primitiveFailed
!

IsAMemMoveInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAMemMoveInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAMemSetInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAMemSetInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAPHINode: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAPHINode" ( LLVMValue ) >
    self primitiveFailed
!

IsAPtrToIntInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAPtrToIntInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAResumeInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAResumeInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAReturnInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAReturnInst" ( LLVMValue ) >
    self primitiveFailed
!

IsASExtInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsASExtInst" ( LLVMValue ) >
    self primitiveFailed
!

IsASIToFPInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsASIToFPInst" ( LLVMValue ) >
    self primitiveFailed
!

IsASelectInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsASelectInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAShuffleVectorInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAShuffleVectorInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAStoreInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAStoreInst" ( LLVMValue ) >
    self primitiveFailed
!

IsASwitchInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsASwitchInst" ( LLVMValue ) >
    self primitiveFailed
!

IsATerminatorInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsATerminatorInst" ( LLVMValue ) >
    self primitiveFailed
!

IsATruncInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsATruncInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAUIToFPInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAUIToFPInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAUnaryInstruction: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAUnaryInstruction" ( LLVMValue ) >
    self primitiveFailed
!

IsAUndefValue: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAUndefValue" ( LLVMValue ) >
    self primitiveFailed
!

IsAUnreachableInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAUnreachableInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAUser: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAUser" ( LLVMValue ) >
    self primitiveFailed
!

IsAVAArgInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAVAArgInst" ( LLVMValue ) >
    self primitiveFailed
!

IsAZExtInst: Val 
    "@param Val: LLVMValueRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMIsAZExtInst" ( LLVMValue ) >
    self primitiveFailed
!

IsConditional: Branch 
    "@param Branch: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsConditional" ( LLVMValue ) >
    self primitiveFailed
!

IsConstant: Val 
    "@param Val: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsConstant" ( LLVMValue ) >
    self primitiveFailed
!

IsConstantString: c 
    "@param c: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsConstantString" ( LLVMValue ) >
    self primitiveFailed
!

IsDeclaration: Global 
    "@param Global: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsDeclaration" ( LLVMValue ) >
    self primitiveFailed
!

IsExternallyInitialized: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsExternallyInitialized" ( LLVMValue ) >
    self primitiveFailed
!

IsFunctionVarArg: FunctionTy 
    "@param FunctionTy: LLVMTypeRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsFunctionVarArg" ( LLVMType ) >
    self primitiveFailed
!

IsGlobalConstant: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsGlobalConstant" ( LLVMValue ) >
    self primitiveFailed
!

IsMultithreaded
    "@return: LLVMBool
    "

    <cdecl: int32 "LLVMIsMultithreaded" ( ) >
    self primitiveFailed
!

IsNull: Val 
    "@param Val: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsNull" ( LLVMValue ) >
    self primitiveFailed
!

IsOpaqueStruct: StructTy 
    "@param StructTy: LLVMTypeRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsOpaqueStruct" ( LLVMType ) >
    self primitiveFailed
!

IsPackedStruct: StructTy 
    "@param StructTy: LLVMTypeRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsPackedStruct" ( LLVMType ) >
    self primitiveFailed
!

IsTailCall: CallInst 
    "@param CallInst: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsTailCall" ( LLVMValue ) >
    self primitiveFailed
!

IsThreadLocal: GlobalVar 
    "@param GlobalVar: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsThreadLocal" ( LLVMValue ) >
    self primitiveFailed
!

IsUndef: Val 
    "@param Val: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMIsUndef" ( LLVMValue ) >
    self primitiveFailed
!

LabelType
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMLabelType" ( ) >
    self primitiveFailed
!

LabelTypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMLabelTypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

LinkInInterpreter
    "@return: void
    "

    <cdecl: void "LLVMLinkInInterpreter" ( ) >
    self primitiveFailed
!

LinkInMCJIT
    "@return: void
    "

    <cdecl: void "LLVMLinkInMCJIT" ( ) >
    self primitiveFailed
!

MDNode: Vals _: Count 
    "@param Vals: *LLVMValueRef
     @param Count: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMMDNode" ( pointer uint32 ) >
    self primitiveFailed
!

MDNodeInContext: C _: Vals _: Count 
    "@param C: LLVMContextRef
     @param Vals: *LLVMValueRef
     @param Count: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMMDNodeInContext" ( LLVMContext pointer uint32 ) >
    self primitiveFailed
!

MDString: Str _: SLen 
    "@param Str: *const char
     @param SLen: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMMDString" ( charPointer uint32 ) >
    self primitiveFailed
!

MDStringInContext: C _: Str _: SLen 
    "@param C: LLVMContextRef
     @param Str: *const char
     @param SLen: unsigned int
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMMDStringInContext" ( LLVMContext charPointer uint32 ) >
    self primitiveFailed
!

ModuleCreateWithName: ModuleID 
    "@param ModuleID: *const char
     @return: LLVMModuleRef
    "

    <cdecl: LLVMModule "LLVMModuleCreateWithName" ( charPointer ) >
    self primitiveFailed

    "Modified (format): / 07-07-2015 / 20:36:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

ModuleCreateWithNameInContext: ModuleID _: C 
    "@param ModuleID: *const char
     @param C: LLVMContextRef
     @return: LLVMModuleRef
    "

    <cdecl: LLVMModule "LLVMModuleCreateWithNameInContext" ( charPointer LLVMContext ) >
    self primitiveFailed
!

MoveBasicBlockAfter: BB _: MovePos 
    "@param BB: LLVMBasicBlockRef
     @param MovePos: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMMoveBasicBlockAfter" ( LLVMBasicBlock LLVMBasicBlock ) >
    self primitiveFailed
!

MoveBasicBlockBefore: BB _: MovePos 
    "@param BB: LLVMBasicBlockRef
     @param MovePos: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMMoveBasicBlockBefore" ( LLVMBasicBlock LLVMBasicBlock ) >
    self primitiveFailed
!

OffsetOfElement: TD _: StructTy _: Element 
    "@param TD: LLVMTargetDataRef
     @param StructTy: LLVMTypeRef
     @param Element: unsigned int
     @return: long long unsigned int
    "

    <cdecl: long "LLVMOffsetOfElement" ( LLVMTargetData LLVMType uint32 ) >
    self primitiveFailed
!

PPCFP128Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMPPCFP128Type" ( ) >
    self primitiveFailed
!

PPCFP128TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMPPCFP128TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

PointerSize: TD 
    "@param TD: LLVMTargetDataRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMPointerSize" ( LLVMTargetData ) >
    self primitiveFailed
!

PointerSizeForAS: TD _: AS 
    "@param TD: LLVMTargetDataRef
     @param AS: unsigned int
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMPointerSizeForAS" ( LLVMTargetData uint32 ) >
    self primitiveFailed
!

PointerType: ElementType _: AddressSpace 
    "@param ElementType: LLVMTypeRef
     @param AddressSpace: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMPointerType" ( LLVMType uint32 ) >
    self primitiveFailed
!

PositionBuilder: Builder _: Block _: Instr 
    "@param Builder: LLVMBuilderRef
     @param Block: LLVMBasicBlockRef
     @param Instr: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMPositionBuilder" ( LLVMBuilder LLVMBasicBlock LLVMValue ) >
    self primitiveFailed
!

PositionBuilderAtEnd: Builder _: Block 
    "@param Builder: LLVMBuilderRef
     @param Block: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMPositionBuilderAtEnd" ( LLVMBuilder LLVMBasicBlock ) >
    self primitiveFailed
!

PositionBuilderBefore: Builder _: Instr 
    "@param Builder: LLVMBuilderRef
     @param Instr: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMPositionBuilderBefore" ( LLVMBuilder LLVMValue ) >
    self primitiveFailed
!

PreferredAlignmentOfGlobal: TD _: GlobalVar 
    "@param TD: LLVMTargetDataRef
     @param GlobalVar: LLVMValueRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMPreferredAlignmentOfGlobal" ( LLVMTargetData LLVMValue ) >
    self primitiveFailed
!

PreferredAlignmentOfType: TD _: Ty 
    "@param TD: LLVMTargetDataRef
     @param Ty: LLVMTypeRef
     @return: unsigned int
    "

    <cdecl: uint32 "LLVMPreferredAlignmentOfType" ( LLVMTargetData LLVMType ) >
    self primitiveFailed
!

PrintModuleToFile: M _: Filename _: ErrorMessage 
    "@param M: LLVMModuleRef
     @param Filename: *const char
     @param ErrorMessage: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMPrintModuleToFile" ( LLVMModule charPointer pointer ) >
    self primitiveFailed
!

PrintModuleToString: M 
    "@param M: LLVMModuleRef
     @return: *char
    "

    <cdecl: pointer "LLVMPrintModuleToString" ( LLVMModule ) >
    self primitiveFailed

    "Modified: / 10-07-2015 / 14:27:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

PrintTypeToString: Val 
    "@param Val: LLVMTypeRef
     @return: *char
    "

    <cdecl: pointer "LLVMPrintTypeToString" ( LLVMType ) >
    self primitiveFailed

    "Modified: / 10-07-2015 / 14:27:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

PrintValueToString: Val 
    "@param Val: LLVMValueRef
     @return: *char
    "

    <cdecl: pointer "LLVMPrintValueToString" ( LLVMValue ) >
    self primitiveFailed

    "Modified: / 10-07-2015 / 14:27:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

RecompileAndRelinkFunction: EE _: Fn 
    "@param EE: LLVMExecutionEngineRef
     @param Fn: LLVMValueRef
     @return: *void
    "

    <cdecl: voidPointer "LLVMRecompileAndRelinkFunction" ( LLVMExecutionEngine LLVMValue ) >
    self primitiveFailed
!

RemoveAttribute: Arg _: PA 
    "@param Arg: LLVMValueRef
     @param PA: LLVMAttribute
     @return: void
    "

    <cdecl: void "LLVMRemoveAttribute" ( LLVMValue int32 ) >
    self primitiveFailed
!

RemoveBasicBlockFromParent: BB 
    "@param BB: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMRemoveBasicBlockFromParent" ( LLVMBasicBlock ) >
    self primitiveFailed
!

RemoveFunctionAttr: Fn _: PA 
    "@param Fn: LLVMValueRef
     @param PA: LLVMAttribute
     @return: void
    "

    <cdecl: void "LLVMRemoveFunctionAttr" ( LLVMValue int32 ) >
    self primitiveFailed
!

RemoveInstrAttribute: Instr _: index _: arg3 
    "@param Instr: LLVMValueRef
     @param index: unsigned int
     @param arg3: LLVMAttribute
     @return: void
    "

    <cdecl: void "LLVMRemoveInstrAttribute" ( LLVMValue uint32 int32 ) >
    self primitiveFailed
!

RemoveModule: EE _: M _: OutMod _: OutError 
    "@param EE: LLVMExecutionEngineRef
     @param M: LLVMModuleRef
     @param OutMod: *LLVMModuleRef
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMRemoveModule" ( LLVMExecutionEngine LLVMModule pointer pointer ) >
    self primitiveFailed
!

RemoveModuleProvider: EE _: MP _: OutMod _: OutError 
    "@param EE: LLVMExecutionEngineRef
     @param MP: LLVMModuleProviderRef
     @param OutMod: *LLVMModuleRef
     @param OutError: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMRemoveModuleProvider" ( LLVMExecutionEngine LLVMModuleProvider pointer pointer ) >
    self primitiveFailed
!

ReplaceAllUsesWith: OldVal _: NewVal 
    "@param OldVal: LLVMValueRef
     @param NewVal: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMReplaceAllUsesWith" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

ResetFatalErrorHandler
    "@return: void
    "

    <cdecl: void "LLVMResetFatalErrorHandler" ( ) >
    self primitiveFailed
!

RunFunction: EE _: F _: NumArgs _: Args 
    "@param EE: LLVMExecutionEngineRef
     @param F: LLVMValueRef
     @param NumArgs: unsigned int
     @param Args: *LLVMGenericValueRef
     @return: LLVMGenericValueRef
    "

    <cdecl: LLVMGenericValue "LLVMRunFunction" ( LLVMExecutionEngine LLVMValue uint32 pointer ) >
    self primitiveFailed
!

RunFunctionAsMain: EE _: F _: ArgC _: ArgV _: EnvP 
    "@param EE: LLVMExecutionEngineRef
     @param F: LLVMValueRef
     @param ArgC: unsigned int
     @param ArgV: *const *const char
     @param EnvP: *const *const char
     @return: int
    "

    <cdecl: int32 "LLVMRunFunctionAsMain" ( LLVMExecutionEngine LLVMValue uint32 pointer pointer ) >
    self primitiveFailed
!

RunFunctionPassManager: FPM _: F 
    "@param FPM: LLVMPassManagerRef
     @param F: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMRunFunctionPassManager" ( LLVMPassManager LLVMValue ) >
    self primitiveFailed
!

RunPassManager: PM _: M 
    "@param PM: LLVMPassManagerRef
     @param M: LLVMModuleRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMRunPassManager" ( LLVMPassManager LLVMModule ) >
    self primitiveFailed
!

RunStaticConstructors: EE 
    "@param EE: LLVMExecutionEngineRef
     @return: void
    "

    <cdecl: void "LLVMRunStaticConstructors" ( LLVMExecutionEngine ) >
    self primitiveFailed
!

RunStaticDestructors: EE 
    "@param EE: LLVMExecutionEngineRef
     @return: void
    "

    <cdecl: void "LLVMRunStaticDestructors" ( LLVMExecutionEngine ) >
    self primitiveFailed
!

SetAlignment: V _: Bytes 
    "@param V: LLVMValueRef
     @param Bytes: unsigned int
     @return: void
    "

    <cdecl: void "LLVMSetAlignment" ( LLVMValue uint32 ) >
    self primitiveFailed
!

SetCleanup: LandingPad _: Val 
    "@param LandingPad: LLVMValueRef
     @param Val: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMSetCleanup" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetCondition: Branch _: Cond 
    "@param Branch: LLVMValueRef
     @param Cond: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMSetCondition" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

SetCurrentDebugLocation: Builder _: L 
    "@param Builder: LLVMBuilderRef
     @param L: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMSetCurrentDebugLocation" ( LLVMBuilder LLVMValue ) >
    self primitiveFailed
!

SetDLLStorageClass: Global _: Class 
    "@param Global: LLVMValueRef
     @param Class: LLVMDLLStorageClass
     @return: void
    "

    <cdecl: void "LLVMSetDLLStorageClass" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetDataLayout: M _: Triple 
    "@param M: LLVMModuleRef
     @param Triple: *const char
     @return: void
    "

    <cdecl: void "LLVMSetDataLayout" ( LLVMModule charPointer ) >
    self primitiveFailed
!

SetExternallyInitialized: GlobalVar _: IsExtInit 
    "@param GlobalVar: LLVMValueRef
     @param IsExtInit: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMSetExternallyInitialized" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetFunctionCallConv: Fn _: CC 
    "@param Fn: LLVMValueRef
     @param CC: unsigned int
     @return: void
    "

    <cdecl: void "LLVMSetFunctionCallConv" ( LLVMValue uint32 ) >
    self primitiveFailed
!

SetGC: Fn _: Name 
    "@param Fn: LLVMValueRef
     @param Name: *const char
     @return: void
    "

    <cdecl: void "LLVMSetGC" ( LLVMValue charPointer ) >
    self primitiveFailed
!

SetGlobalConstant: GlobalVar _: IsConstant 
    "@param GlobalVar: LLVMValueRef
     @param IsConstant: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMSetGlobalConstant" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetInitializer: GlobalVar _: ConstantVal 
    "@param GlobalVar: LLVMValueRef
     @param ConstantVal: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMSetInitializer" ( LLVMValue LLVMValue ) >
    self primitiveFailed
!

SetInstDebugLocation: Builder _: Inst 
    "@param Builder: LLVMBuilderRef
     @param Inst: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMSetInstDebugLocation" ( LLVMBuilder LLVMValue ) >
    self primitiveFailed
!

SetInstrParamAlignment: Instr _: index _: align 
    "@param Instr: LLVMValueRef
     @param index: unsigned int
     @param align: unsigned int
     @return: void
    "

    <cdecl: void "LLVMSetInstrParamAlignment" ( LLVMValue uint32 uint32 ) >
    self primitiveFailed
!

SetInstructionCallConv: Instr _: CC 
    "@param Instr: LLVMValueRef
     @param CC: unsigned int
     @return: void
    "

    <cdecl: void "LLVMSetInstructionCallConv" ( LLVMValue uint32 ) >
    self primitiveFailed
!

SetLinkage: Global _: Linkage 
    "@param Global: LLVMValueRef
     @param Linkage: LLVMLinkage
     @return: void
    "

    <cdecl: void "LLVMSetLinkage" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetMetadata: Val _: KindID _: Node 
    "@param Val: LLVMValueRef
     @param KindID: unsigned int
     @param Node: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMSetMetadata" ( LLVMValue uint32 LLVMValue ) >
    self primitiveFailed
!

SetModuleInlineAsm: M _: Asm 
    "@param M: LLVMModuleRef
     @param Asm: *const char
     @return: void
    "

    <cdecl: void "LLVMSetModuleInlineAsm" ( LLVMModule charPointer ) >
    self primitiveFailed
!

SetOperand: User _: Index _: Val 
    "@param User: LLVMValueRef
     @param Index: unsigned int
     @param Val: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMSetOperand" ( LLVMValue uint32 LLVMValue ) >
    self primitiveFailed
!

SetParamAlignment: Arg _: align 
    "@param Arg: LLVMValueRef
     @param align: unsigned int
     @return: void
    "

    <cdecl: void "LLVMSetParamAlignment" ( LLVMValue uint32 ) >
    self primitiveFailed
!

SetSection: Global _: Section 
    "@param Global: LLVMValueRef
     @param Section: *const char
     @return: void
    "

    <cdecl: void "LLVMSetSection" ( LLVMValue charPointer ) >
    self primitiveFailed
!

SetSuccessor: Term _: i _: block 
    "@param Term: LLVMValueRef
     @param i: unsigned int
     @param block: LLVMBasicBlockRef
     @return: void
    "

    <cdecl: void "LLVMSetSuccessor" ( LLVMValue uint32 LLVMBasicBlock ) >
    self primitiveFailed
!

SetTailCall: CallInst _: IsTailCall 
    "@param CallInst: LLVMValueRef
     @param IsTailCall: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMSetTailCall" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetTarget: M _: Triple 
    "@param M: LLVMModuleRef
     @param Triple: *const char
     @return: void
    "

    <cdecl: void "LLVMSetTarget" ( LLVMModule charPointer ) >
    self primitiveFailed
!

SetThreadLocal: GlobalVar _: IsThreadLocal 
    "@param GlobalVar: LLVMValueRef
     @param IsThreadLocal: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMSetThreadLocal" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetThreadLocalMode: GlobalVar _: Mode 
    "@param GlobalVar: LLVMValueRef
     @param Mode: LLVMThreadLocalMode
     @return: void
    "

    <cdecl: void "LLVMSetThreadLocalMode" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetUnnamedAddr: Global _: HasUnnamedAddr 
    "@param Global: LLVMValueRef
     @param HasUnnamedAddr: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMSetUnnamedAddr" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetValueName: Val _: Name 
    "@param Val: LLVMValueRef
     @param Name: *const char
     @return: void
    "

    <cdecl: void "LLVMSetValueName" ( LLVMValue charPointer ) >
    self primitiveFailed
!

SetVisibility: Global _: Viz 
    "@param Global: LLVMValueRef
     @param Viz: LLVMVisibility
     @return: void
    "

    <cdecl: void "LLVMSetVisibility" ( LLVMValue int32 ) >
    self primitiveFailed
!

SetVolatile: MemoryAccessInst _: IsVolatile 
    "@param MemoryAccessInst: LLVMValueRef
     @param IsVolatile: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMSetVolatile" ( LLVMValue int32 ) >
    self primitiveFailed
!

Shutdown
    "@return: void
    "

    <cdecl: void "LLVMShutdown" ( ) >
    self primitiveFailed
!

SizeOf: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMValueRef
    "

    <cdecl: LLVMValue "LLVMSizeOf" ( LLVMType ) >
    self primitiveFailed
!

SizeOfTypeInBits: TD _: Ty 
    "@param TD: LLVMTargetDataRef
     @param Ty: LLVMTypeRef
     @return: long long unsigned int
    "

    <cdecl: long "LLVMSizeOfTypeInBits" ( LLVMTargetData LLVMType ) >
    self primitiveFailed
!

StartMultithreaded
    "@return: LLVMBool
    "

    <cdecl: int32 "LLVMStartMultithreaded" ( ) >
    self primitiveFailed
!

StopMultithreaded
    "@return: void
    "

    <cdecl: void "LLVMStopMultithreaded" ( ) >
    self primitiveFailed
!

StoreSizeOfType: TD _: Ty 
    "@param TD: LLVMTargetDataRef
     @param Ty: LLVMTypeRef
     @return: long long unsigned int
    "

    <cdecl: long "LLVMStoreSizeOfType" ( LLVMTargetData LLVMType ) >
    self primitiveFailed
!

StructCreateNamed: C _: Name 
    "@param C: LLVMContextRef
     @param Name: *const char
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMStructCreateNamed" ( LLVMContext charPointer ) >
    self primitiveFailed
!

StructGetTypeAtIndex: StructTy _: i 
    "@param StructTy: LLVMTypeRef
     @param i: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMStructGetTypeAtIndex" ( LLVMType uint32 ) >
    self primitiveFailed
!

StructSetBody: StructTy _: ElementTypes _: ElementCount _: Packed 
    "@param StructTy: LLVMTypeRef
     @param ElementTypes: *LLVMTypeRef
     @param ElementCount: unsigned int
     @param Packed: LLVMBool
     @return: void
    "

    <cdecl: void "LLVMStructSetBody" ( LLVMType pointer uint32 int32 ) >
    self primitiveFailed
!

StructType: ElementTypes _: ElementCount _: Packed 
    "@param ElementTypes: *LLVMTypeRef
     @param ElementCount: unsigned int
     @param Packed: LLVMBool
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMStructType" ( pointer uint32 int32 ) >
    self primitiveFailed
!

StructTypeInContext: C _: ElementTypes _: ElementCount _: Packed 
    "@param C: LLVMContextRef
     @param ElementTypes: *LLVMTypeRef
     @param ElementCount: unsigned int
     @param Packed: LLVMBool
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMStructTypeInContext" ( LLVMContext pointer uint32 int32 ) >
    self primitiveFailed
!

TypeIsSized: Ty 
    "@param Ty: LLVMTypeRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMTypeIsSized" ( LLVMType ) >
    self primitiveFailed
!

TypeOf: Val 
    "@param Val: LLVMValueRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMTypeOf" ( LLVMValue ) >
    self primitiveFailed
!

ValueAsBasicBlock: Val 
    "@param Val: LLVMValueRef
     @return: LLVMBasicBlockRef
    "

    <cdecl: LLVMBasicBlock "LLVMValueAsBasicBlock" ( LLVMValue ) >
    self primitiveFailed
!

ValueIsBasicBlock: Val 
    "@param Val: LLVMValueRef
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMValueIsBasicBlock" ( LLVMValue ) >
    self primitiveFailed
!

VectorType: ElementType _: ElementCount 
    "@param ElementType: LLVMTypeRef
     @param ElementCount: unsigned int
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMVectorType" ( LLVMType uint32 ) >
    self primitiveFailed
!

VerifyFunction: Fn _: Action 
    "@param Fn: LLVMValueRef
     @param Action: LLVMVerifierFailureAction
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMVerifyFunction" ( LLVMValue int32 ) >
    self primitiveFailed
!

VerifyModule: M _: Action _: OutMessage 
    "@param M: LLVMModuleRef
     @param Action: LLVMVerifierFailureAction
     @param OutMessage: **char
     @return: LLVMBool
    "

    <cdecl: int32 "LLVMVerifyModule" ( LLVMModule int32 pointer ) >
    self primitiveFailed
!

ViewFunctionCFG: Fn 
    "@param Fn: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMViewFunctionCFG" ( LLVMValue ) >
    self primitiveFailed
!

ViewFunctionCFGOnly: Fn 
    "@param Fn: LLVMValueRef
     @return: void
    "

    <cdecl: void "LLVMViewFunctionCFGOnly" ( LLVMValue ) >
    self primitiveFailed
!

VoidType
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMVoidType" ( ) >
    self primitiveFailed
!

VoidTypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMVoidTypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

WriteBitcodeToFD: M _: FD _: ShouldClose _: Unbuffered 
    "@param M: LLVMModuleRef
     @param FD: int
     @param ShouldClose: int
     @param Unbuffered: int
     @return: int
    "

    <cdecl: int32 "LLVMWriteBitcodeToFD" ( LLVMModule int32 int32 int32 ) >
    self primitiveFailed
!

WriteBitcodeToFile: M _: Path 
    "@param M: LLVMModuleRef
     @param Path: *const char
     @return: int
    "

    <cdecl: int32 "LLVMWriteBitcodeToFile" ( LLVMModule charPointer ) >
    self primitiveFailed
!

WriteBitcodeToFileHandle: M _: Handle 
    "@param M: LLVMModuleRef
     @param Handle: int
     @return: int
    "

    <cdecl: int32 "LLVMWriteBitcodeToFileHandle" ( LLVMModule int32 ) >
    self primitiveFailed
!

WriteBitcodeToMemoryBuffer: M 
    "@param M: LLVMModuleRef
     @return: LLVMMemoryBufferRef
    "

    <cdecl: pointer "LLVMWriteBitcodeToMemoryBuffer" ( LLVMModule ) >
    self primitiveFailed
!

X86FP80Type
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMX86FP80Type" ( ) >
    self primitiveFailed
!

X86FP80TypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMX86FP80TypeInContext" ( LLVMContext ) >
    self primitiveFailed
!

X86MMXType
    "@return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMX86MMXType" ( ) >
    self primitiveFailed
!

X86MMXTypeInContext: C 
    "@param C: LLVMContextRef
     @return: LLVMTypeRef
    "

    <cdecl: LLVMType "LLVMX86MMXTypeInContext" ( LLVMContext ) >
    self primitiveFailed
! !

