"{ Package: 'jv:libllvms' }"

"{ NameSpace: Smalltalk }"

LLVMDisposableObject subclass:#LLVMBuilder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-Core'
!


!LLVMBuilder class methodsFor:'instance creation'!

new
    ^ LLVM CreateBuilder

    "Created: / 07-07-2015 / 22:38:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMBuilder methodsFor:'initialization & release'!

dispose
    ^ LLVM DisposeBuilder: self.

    "Modified (comment): / 08-07-2015 / 22:39:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMBuilder methodsFor:'instructions'!

add: value1 _: value2
    ^ self add: value1 _: value2 as: ''

    "Created: / 07-07-2015 / 22:52:39 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

add:value1 _:value2 as: name
    self assert: (value1 isKindOf: LLVMValue).
    self assert: (value2 isKindOf: LLVMValue).
    self assert: name isSingleByteString.
    ^ LLVM BuildAdd: self _: value1 _: value2 _: name

    "Created: / 07-07-2015 / 22:52:39 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

ret:value1 
    self assert: (value1 isKindOf: LLVMValue).
    ^ LLVM BuildRet: self _: value1

    "Created: / 07-07-2015 / 22:55:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMBuilder methodsFor:'positioning'!

positionAtEnd: basicBlock
    LLVM PositionBuilderAtEnd: self  _: basicBlock

    "Created: / 07-07-2015 / 22:45:49 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMBuilder class methodsFor:'documentation'!

version
    ^ 'Path: jv/libllvms/LLVMBuilder.st, Version: 1.0, User: jv, Time: 2015-07-09T09:00:53.853+01'
!

version_HG
    ^ 'Path: jv/libllvms/LLVMBuilder.st, Version: 1.0, User: jv, Time: 2015-07-09T09:00:53.853+01'
! !

